{
    "name": "@rpga/world",
    "version": "0.0.0",
    "description": "A service managing RPG of the Apocalypse's world",
    "scripts": {
        "build": "tsc",
        "start:server": "ts-node src/main/index.ts",
        "start:dev": "cross-env NODE_ENV=development nodemon",
        "exec:prod": "cross-env NODE_ENV=production",
        "test:ci": "cross-env NODE_ENV=ci npm run test-cmd",
        "test": "cross-env NODE_ENV=test npm run test-cmd",
        "test-cmd": "mocha -r ts-node/register src/**/*.spec.ts --delay --exit",
        "lint": "cross-env NODE_ENV=production eslint src/**",
        "lint:fix": "cross-env NODE_ENV=production eslint --fix src/**"
    },
    "dependencies": {
        "@rpga/common": "^1.0.0",
        "@types/cors": "^2.8.12",
        "@types/express": "^4.17.13",
        "@types/ini": "^1.3.31",
        "@types/node": "^17.0.18",
        "@types/response-time": "^2.3.5",
        "@types/swagger-ui-express": "^4.1.3",
        "@types/uuid": "^8.3.4",
        "cors": "^2.8.5",
        "express": "^4.17.2",
        "ini": "^2.0.0",
        "response-time": "^2.3.2",
        "swagger-ui-express": "^4.3.0",
        "typescript": "^4.5.5",
        "winston": "^3.6.0",
        "winston-daily-rotate-file": "^4.6.1"
    },
    "devDependencies": {
        "@tsconfig/node16": "^1.0.2",
        "@types/chai": "^4.3.1",
        "@types/mocha": "^9.1.0",
        "@types/mongoose": "^5.11.97",
        "@typescript-eslint/eslint-plugin": "^5.12.0",
        "@typescript-eslint/parser": "^5.12.0",
        "axios": "^0.26.1",
        "chai": "^4.3.6",
        "chai-http": "^4.3.0",
        "cross-env": "^7.0.3",
        "eslint": "^8.9.0",
        "express-openapi-validator": "^4.13.5",
        "mocha": "^9.2.2",
        "mongo-unit": "^3.2.0",
        "nodemon": "^2.0.15",
        "nyc": "^15.1.0",
        "ts-node": "^10.5.0"
    },
    "engines": {
        "node": ">=16.13.0"
    },
    "engineStrict": true,
    "repository": {
        "type": "git",
        "url": "git+ssh://git@gitlab.com:horsemen-and-women-of-the-apocalypse/rpg-of-the-apocalypse/world.git"
    },
    "license": "MIT"
}
